#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby

#  application_stripheaders.sh
#  Courier
#
#  Created by Keith Duncan on 04/12/2012.
#  Copyright (c) 2012 Realmac Software. All rights reserved.

require 'osx/cocoa'
include OSX

application_path = NSUserDefaults.standardUserDefaults.stringForKey "applicationPath"
exit(-1) if application_path.nil?

environment = NSProcessInfo.processInfo.environment
exit(0) unless ENV["CONFIGURATION"].to_ns.hasPrefix_("Release")

framework_bundle_paths = NSFileManager.defaultManager.subpathsOfDirectoryAtPath_error(application_path)[0].pathsMatchingExtensions_ [ "framework" ]

directory_names_to_remove = [ "Headers", "PrivateHeaders" ]

framework_bundle_paths.each do |current_framework_bundle_relative_path|
	current_framework_bundle_path = application_path.stringByAppendingPathComponent_(current_framework_bundle_relative_path)

	directory_paths_to_remove = current_framework_bundle_path.stringsByAppendingPaths_ directory_names_to_remove
	
	versions_directory_path = current_framework_bundle_path.stringByAppendingPathComponent_("Versions")
	version_directories = NSFileManager.defaultManager.contentsOfDirectoryAtPath_error_(versions_directory_path)[0]
	version_directories.each do |current_version_directory_relative_path|
		current_version_directory_path = versions_directory_path.stringByAppendingPathComponent_(current_version_directory_relative_path)
		
		directory_paths_to_remove.concat current_version_directory_path.stringsByAppendingPaths_ directory_names_to_remove
	end
	
	directory_paths_to_remove.each do |current_path|
        NSFileManager.defaultManager.removeItemAtPath_error_(current_path)[0]
    end
end
