#!/bin/sh

# genstings.sh
# Courier
#
# Created by Keith Duncan on 21/10/2011.
# Copyright 2011 Realmac Software. All rights reserved.

set -e
set -x

if [ ! "${DEVELOPMENT_REGION_FOLDER}" ]
then
	paths=("en-GB.lproj" "en.lproj" "English.lproj")
	for current_folder in "${paths[@]}"
	do
		if [ ! -d "${current_folder}" ]
		then
			continue
		fi

		DEVELOPMENT_REGION_FOLDER="${current_folder}"
		break
	done
fi
if [ ! "${DEVELOPMENT_REGION_FOLDER}" -o ! -d "${DEVELOPMENT_REGION_FOLDER}" ]
then
	echo -e "DEVELOPMENT_REGION_FOLDER not set in the environment and couldn't be determined from working directory" >&2
	exit 1
fi

find . -name '*.[hm]' -and -not -path '*Externals*' -and -not -path '*build/*' -print0 | xargs -0 -t genstrings -q -u -o "${DEVELOPMENT_REGION_FOLDER}" -s RMLocalizedString
